Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.networkdb.reseed
Class Reseeder

    java.lang.Object
      net.i2p.router.networkdb.reseed.Reseeder

    public class Reseeder

extends Object

Moved from ReseedHandler in routerconsole. See ReseedChecker for additional comments. Handler to deal with reseed requests. This will reseed from the URLs specified below unless the I2P configuration property "i2p.reseedURL" is set. It always writes to ./netDb/, so don't mess with that. This is somewhat complicated by trying to log to three places - the console, the router log, and the wrapper log.

Nested Class Summary
`class` | `Reseeder.ReseedRunner`

Field Summary
`static String` | `DEFAULT_SEED_URL` NOTE - URLs in both the standard and SSL groups should use the same hostname and path, so the reseed process will not download from both.
`static String` | `DEFAULT_SSL_SEED_URL`
`static String` | `PROP_PROXY_ENABLE`
`static String` | `PROP_PROXY_HOST`
`static String` | `PROP_PROXY_PORT`
`static String` | `PROP_RESEED_URL`
`static String` | `PROP_SSL_DISABLE`
`static String` | `PROP_SSL_REQUIRED`

Constructor Summary
`Reseeder(RouterContext ctx)`

Method Summary
`void` | `requestReseed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SEED_URL

    public static final String DEFAULT_SEED_URL

  NOTE - URLs in both the standard and SSL groups should use the same hostname and path, so the reseed process will not download from both. NOTE - Each seedURL must be a directory, it must end with a '/', it can't end with 'index.html', for example. Both because of how individual file URLs are constructed, and because SSLEepGet doesn't follow redirects.

  See Also:
    Constant Field Values

### DEFAULT_SSL_SEED_URL

    public static final String DEFAULT_SSL_SEED_URL

Since:
  0.8.2
See Also:
  Constant Field Values

### PROP_PROXY_HOST

    public static final String PROP_PROXY_HOST

See Also:
  Constant Field Values

### PROP_PROXY_PORT

    public static final String PROP_PROXY_PORT

See Also:
  Constant Field Values

### PROP_PROXY_ENABLE

    public static final String PROP_PROXY_ENABLE

Since:
  0.8.2
See Also:
  Constant Field Values

### PROP_SSL_DISABLE

    public static final String PROP_SSL_DISABLE

Since:
  0.8.2
See Also:
  Constant Field Values

### PROP_SSL_REQUIRED

    public static final String PROP_SSL_REQUIRED

Since:
  0.8.2
See Also:
  Constant Field Values

### PROP_RESEED_URL

    public static final String PROP_RESEED_URL

Since:
  0.8.3
See Also:
  Constant Field Values

Constructor Detail

### Reseeder

    public Reseeder(RouterContext ctx)

Method Detail

### requestReseed

    public void requestReseed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD